[sumo] 04/05: Add autopkgtest.

Anton Gladky gladk at moszumanska.debian.org
Fri Jun 20 22:24:13 UTC 2014


This is an automated email from the git hooks/post-receive script.

gladk pushed a commit to branch master
in repository sumo.

commit 04454cafb73a112e60f2c35a5681a16094fea50d
Author: Anton Gladky <gladk at debian.org>
Date:   Fri Jun 20 23:02:04 2014 +0200

    Add autopkgtest.
---
 debian/control       |  1 +
 debian/rules         |  8 ++++----
 debian/tests/control |  2 ++
 debian/tests/parade  | 16 ++++++++++++++++
 4 files changed, 23 insertions(+), 4 deletions(-)

diff --git a/debian/control b/debian/control
index e579b43..33943b8 100644
--- a/debian/control
+++ b/debian/control
@@ -26,6 +26,7 @@ Build-Depends:
 Build-Depends-Indep:
  doxygen,
  python
+XS-Testsuite: autopkgtest
 
 Package: sumo
 Architecture: any
diff --git a/debian/rules b/debian/rules
index 2742a85..9a7d3f2 100755
--- a/debian/rules
+++ b/debian/rules
@@ -40,7 +40,7 @@ override_dh_auto_build-arch:
 	$(MAKE) man
 	
 override_dh_auto_test-arch:
-	mkdir $(CURDIR)/tests
-	cd $(CURDIR)/tests; cp ../docs/examples/sumo/visualization/parade/* ./; ../bin/sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c parade.sumocfg  --summary-output sum.out
-	cat $(CURDIR)/tests/sum.out
-	rm -rf $(CURDIR)/tests
+	mkdir $(CURDIR)/tests_auto
+	cd $(CURDIR)/tests_auto; cp ../docs/examples/sumo/visualization/parade/* ./; ../bin/sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c parade.sumocfg  --summary-output sum.out
+	cat $(CURDIR)/tests_auto/sum.out
+	rm -rf $(CURDIR)/tests_auto
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..4bf29e2
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: parade
+Depends: sumo
diff --git a/debian/tests/parade b/debian/tests/parade
new file mode 100755
index 0000000..d4bbd90
--- /dev/null
+++ b/debian/tests/parade
@@ -0,0 +1,16 @@
+#!/bin/sh
+# autopkgtest check 
+# (C) 2014 Anton Gladky <gladk at debian.org>
+
+set -e
+
+export OMPI_MCA_orte_rsh_agent=/bin/false
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cp docs/examples/sumo/visualization/parade/* $WORKDIR/
+cd $WORKDIR
+ 
+sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c parade.sumocfg --summary-output sum.out
+cat sum.out
+echo "run: OK"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/sumo.git



More information about the debian-science-commits mailing list